Subject: Re: [Srcomp] Security REQ Discussion: Req 5.1.2 and 5.1.3

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Thu, 3 Dec 2020 01:46:13 +0000

FYI, the previous review comment is right here.

Cheng

From: Srcomp [mailto:[email-masked]] On Behalf Of Chengli (Cheng Li)
Sent: Monday, November 9, 2020 5:40 PM
To: [email-masked]
Subject: [Srcomp] Req 5.1.2 and 5.1.3

Hi Folks,

I don't have comments on REQ 5.1.2. it looks good to me.

However, regarding the REQ 5.1.3, I think we definitely need to discuss it, so let's do it tonight.

Respect,

Cheng

5.1.2.  REQ-8-26-IPV6-SECURITY-COMPLIANCE-00

   o  Description: The security of SR compression solution can be

      protected using existing IPv6 security mechanism, and it MUST NOT

      require for a new security mechanism.

   o  Rational: A compression solution MUST be IPv6-based, and it MUST

      NOT introduce critical security issues into IPv6, so that it can

      be used in the IPv6 network safely.

   o  Metric: A mechanism does not introduce new security mechanism meets

      the requirements.

5.1.3.  REQ-8-26-SECURITY-00

   o  Description:The compression solution must be compliant to

      [RFC8754], and SHOULD NOT require for new security mechanism.

   o  Rational: A compression solution should be an enhancement of SRv6,

      and it should not introduce more security issues to SRv6.  It will

      be best if the compression solution can be deployed under the

      existing security mechansim and policy without any modification.

   o  Metric:Compliance to the existing SRv6 security rules.